<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\GrafikListen\PrintGrafikListen;


class PrintGrafikListenUseCase extends \Kufer\KuferTools\Dozent\KursUebersicht\PdfListen\DruckListenAllgemein\DruckListen\DruckListenAllgemeinUseCase
{
  public function __construct($pRequest)
  {
    parent::__construct($pRequest);
  }

  public static function getToolId()
  {
    return \ToolsAPI::TOOL_KURSUEBERSICHT_DOZ;
  }

  public static function getToolSectionId()
  {
    return 248;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\KuferTools\Basis\PdfListen\GrafikPdfListen(self::getToolId(), self::getToolSectionId(), $userId);
  }
}